Mock the response

AI Tools

Mock the Yoti response by specifying the verification method and status. This API call effectively simulates a completed user interaction. Alternatively, utilise the sandbox UI to seamlessly facilitate testing within your workflow.

Endpoint

PUT https://age.yoti.com/sandbox/api/v1/sessions/<sessionId>/response-config

Headers

Header

Description

Authorization

Access token to call the Sandbox API. Should be sent as a Bearer {{access_token}}.

Content-Type

application/json

Yoti-SDK-Id

Your unique Yoti-Sdk-Id (UUID), obtained from the Yoti Hub

Request Body

In the request body, you need to provide the specific method that you want to mock, along with the corresponding status that the session should be in.

{ "status": "COMPLETE", "age": 21, "method": "AGE_ESTIMATION" }


Parameter

Value

Description

status

string

Sets the status that will be returned.

age

integer

Sets the age that will be returned if type set to “AGE” in session creation. If type was not set to "AGE" in session creation, this value will need to be set over the age threshold to get a "COMPLETE" status or under the age threshold to get a "FAIL" status.

method

string

Sets the method that is simulated to have been used.

Response Body

Upon a successful request you will receive a 200 status alongside the below message:

{ "message": "Response config set successfully" }

Launch the user interface (alternative)

If you would like to mock going through the user flow, you can launch the Yoti sandbox UI. This will launch an interface that simply lets you pick the age verification method that is used and the age that is returned. You can use the session ID and the SDK ID obtained previously to launch the following URL for the user:

https://age.yoti.com/sandbox?sessionId=<SESSION_ID>&sdkId=<SDK_ID>